<?php
/**
 * @filesource: gauge.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";

// rgraph chart
$template = "default.php";
$id = "cvs";
$draw_option = "draw();";
$width = "500";
$height = "350";

$chart = new rgraph_chart("cvs", null, "Gauge");
$chart->set_min(0);
$chart->set_max(1);
$chart->set_value(0);
$chart_name = "gauge";

$options = new rgraph_options();

$options->set_option("scaleDecimals", 1);
$options->set_option("textAccessible", false);

$chart->set_options($options);
$rgraph_json = $chart->toString();

$event_script = "       /**
        * Create the worker child thread. The code that is used as the child thread is held
        * in the libraries/basic-web-workers.js file.
        */
        var worker = new Worker('php-apps/RGraph/libraries/basic-web-workers.js');
        
        /**
        * The message event is used to listen for messages from the worker thread. When it sends a message
        * to the main thread (ie the main page) the message event is fired and this function runs. It simply updates
        * the Gauge using the Grow effect.
        */
        worker.addEventListener('message', function (e)
        {
            // The data/message that is returned from the worker is a string - so
            // it must be converted to a number
            var value = (Number(e.data) * 0.4) + 0.4;
            gauge.value = value;
            gauge.grow();

        }, false);
        ";
$chart_script = "";

include_once ($templates . $template);
?>



