<?php
/**
 * @filesource: bar_3d.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";

// rgraph chart
$template = "default_test.php";
$draw_option = "draw();";
$width = "400";
$height = "250";
$ini_file = $ini_dir . "bar_3d.ini";
$data = array( array(40,50,80,30,50,60,70), array(30,40,70,20,40,50,60) );
$labels = array('Monday','Tuesday','Wednesday','Thursday','Friday','Saturday','Sunday');

$chart = new rgraph_chart("jumi_1", $data, "Bar");

$chart->rearrangeData();

$options = new rgraph_options($ini_file);
$options->set_option("title", "3d Bar chart used with jumi");
$options->set_gradientColors(array("#696","#966"), array("#0f0","#f00"));
$options->set_option("colorsSequential", false);
$options->set_option("labels", $labels);
$options->set_option("ymax",90);
$options->set_option("xlabelsOffset", 4);
$options->set_option("gutterBottom",75);
$options->set_option("key", array("John", "Mary"));
$options->set_option("variantThreedAngle",(float)0.03);
$options->set_option("keyPosition","gutter");
$options->set_option("keyPositionY",60);
$options->set_option("keyPositionX",300);
$options->set_option("keyPositionGutterBoxed", true);
$options->set_tooltip($chart->get_data(), "#key# earned #val#$<br>on #label#");
$chart->set_options($options);

$rgraph_json = $chart->toPrettyString();

$chart_script = "";
$event_script = "";

include_once ($templates . $template);
?>



